Subject: Re: What's cooking in git.git (Mar 2025, #07; Wed, 26)

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Apr 2025 15:49:25 -0700

"D. Ben Knoble" <[email-masked]> writes:

> On Fri, Mar 28, 2025 at 8:34 PM D. Ben Knoble <[email-masked]> wrote:
>>
>> On Wed, Mar 26, 2025 at 8:46 AM Junio C Hamano <[email-masked]> wrote:
>> > * ib/diff-S-G-with-longhand (2025-02-12) 10 commits
>> >  - diff: docs: Use --patch-{grep,modifies} over -G/-S
>> >  - diff: --pickaxe-{all,regex} help: Add --patch-{grep,modifies}
>> >  - diff: test: Use --patch-{grep,modifies} over -G/-S
>> >  - completion: Support --patch-{grep,modifies}
>> >  - diff: --patch-{grep,modifies} arg names for -G and -S
>> >  - docs: gitdiffcore: -G and -S: Use regex/string placeholders
>> >  - diff: short help: Add -G and --pickaxe-grep
>> >  - diff: short help: Correct -S description
>> >  - diff: -G description: Correct copy/paste error
>> >  - t/t4209-log-pickaxe: Naming typo: -G takes a regex
>> >
>> >  The commands in the "diff" family learned longhands for "-S" and
>> >  "-G" options.
>> >
>> >  The core part looked mostly good.
>> >  source: <[email-masked]>
>>
>> I'd be interested in seeing this land. I think I can read through
>> review comments
>> and split the cleanups from the addition of long-form options (both of which I
>> think are generally improvements), but without signoffs in the original commits
>> I feel like I might be overstepping on the intellectual property---and I
>> certainly wouldn't want to cause licensing trouble for Git.
>>
>> What's the usual way to proceed in a case like this?
>>
>> PS enjoy the vacation Junio---I'm hoping someone else will reply so that you
>> don't need to :)
>>
>> Cheers,
>> Ben
>
> Looks like maybe my query got dropped during the vacation time: I saw
> the newest "What's cooking" said "Expecting a reroll"—did I miss an
> update in the original thread?

Yeah, unfortunately it wouldn't be good to add changes of dubious
origin that is not certified with DCO sign-off.

Thanks.